Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network57.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
57.0.0.0
Broadcast address
57.255.255.255
First usable
57.0.0.1
Last usable
57.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 39000000 · Integer 956301312 to 973078527
Reverse DNS zone
57.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111001..00000000.00000000.0000000057.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00111001..00000000.00000000.0000000057.0.0.0
Broadcast00111001..11111111.11111111.1111111157.255.255.255
Split into smaller subnets/17

57.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
157.0.0.0/1757.0.0.1 to 57.0.127.25457.0.127.25532,766
257.0.128.0/1757.0.128.1 to 57.0.255.25457.0.255.25532,766
357.1.0.0/1757.1.0.1 to 57.1.127.25457.1.127.25532,766
457.1.128.0/1757.1.128.1 to 57.1.255.25457.1.255.25532,766
557.2.0.0/1757.2.0.1 to 57.2.127.25457.2.127.25532,766
657.2.128.0/1757.2.128.1 to 57.2.255.25457.2.255.25532,766
757.3.0.0/1757.3.0.1 to 57.3.127.25457.3.127.25532,766
857.3.128.0/1757.3.128.1 to 57.3.255.25457.3.255.25532,766
957.4.0.0/1757.4.0.1 to 57.4.127.25457.4.127.25532,766
1057.4.128.0/1757.4.128.1 to 57.4.255.25457.4.255.25532,766
1157.5.0.0/1757.5.0.1 to 57.5.127.25457.5.127.25532,766
1257.5.128.0/1757.5.128.1 to 57.5.255.25457.5.255.25532,766
1357.6.0.0/1757.6.0.1 to 57.6.127.25457.6.127.25532,766
1457.6.128.0/1757.6.128.1 to 57.6.255.25457.6.255.25532,766
1557.7.0.0/1757.7.0.1 to 57.7.127.25457.7.127.25532,766
1657.7.128.0/1757.7.128.1 to 57.7.255.25457.7.255.25532,766
1757.8.0.0/1757.8.0.1 to 57.8.127.25457.8.127.25532,766
1857.8.128.0/1757.8.128.1 to 57.8.255.25457.8.255.25532,766
1957.9.0.0/1757.9.0.1 to 57.9.127.25457.9.127.25532,766
2057.9.128.0/1757.9.128.1 to 57.9.255.25457.9.255.25532,766
2157.10.0.0/1757.10.0.1 to 57.10.127.25457.10.127.25532,766
2257.10.128.0/1757.10.128.1 to 57.10.255.25457.10.255.25532,766
2357.11.0.0/1757.11.0.1 to 57.11.127.25457.11.127.25532,766
2457.11.128.0/1757.11.128.1 to 57.11.255.25457.11.255.25532,766
2557.12.0.0/1757.12.0.1 to 57.12.127.25457.12.127.25532,766
2657.12.128.0/1757.12.128.1 to 57.12.255.25457.12.255.25532,766
2757.13.0.0/1757.13.0.1 to 57.13.127.25457.13.127.25532,766
2857.13.128.0/1757.13.128.1 to 57.13.255.25457.13.255.25532,766
2957.14.0.0/1757.14.0.1 to 57.14.127.25457.14.127.25532,766
3057.14.128.0/1757.14.128.1 to 57.14.255.25457.14.255.25532,766
3157.15.0.0/1757.15.0.1 to 57.15.127.25457.15.127.25532,766
3257.15.128.0/1757.15.128.1 to 57.15.255.25457.15.255.25532,766
3357.16.0.0/1757.16.0.1 to 57.16.127.25457.16.127.25532,766
3457.16.128.0/1757.16.128.1 to 57.16.255.25457.16.255.25532,766
3557.17.0.0/1757.17.0.1 to 57.17.127.25457.17.127.25532,766
3657.17.128.0/1757.17.128.1 to 57.17.255.25457.17.255.25532,766
3757.18.0.0/1757.18.0.1 to 57.18.127.25457.18.127.25532,766
3857.18.128.0/1757.18.128.1 to 57.18.255.25457.18.255.25532,766
3957.19.0.0/1757.19.0.1 to 57.19.127.25457.19.127.25532,766
4057.19.128.0/1757.19.128.1 to 57.19.255.25457.19.255.25532,766
4157.20.0.0/1757.20.0.1 to 57.20.127.25457.20.127.25532,766
4257.20.128.0/1757.20.128.1 to 57.20.255.25457.20.255.25532,766
4357.21.0.0/1757.21.0.1 to 57.21.127.25457.21.127.25532,766
4457.21.128.0/1757.21.128.1 to 57.21.255.25457.21.255.25532,766
4557.22.0.0/1757.22.0.1 to 57.22.127.25457.22.127.25532,766
4657.22.128.0/1757.22.128.1 to 57.22.255.25457.22.255.25532,766
4757.23.0.0/1757.23.0.1 to 57.23.127.25457.23.127.25532,766
4857.23.128.0/1757.23.128.1 to 57.23.255.25457.23.255.25532,766
4957.24.0.0/1757.24.0.1 to 57.24.127.25457.24.127.25532,766
5057.24.128.0/1757.24.128.1 to 57.24.255.25457.24.255.25532,766
5157.25.0.0/1757.25.0.1 to 57.25.127.25457.25.127.25532,766
5257.25.128.0/1757.25.128.1 to 57.25.255.25457.25.255.25532,766
5357.26.0.0/1757.26.0.1 to 57.26.127.25457.26.127.25532,766
5457.26.128.0/1757.26.128.1 to 57.26.255.25457.26.255.25532,766
5557.27.0.0/1757.27.0.1 to 57.27.127.25457.27.127.25532,766
5657.27.128.0/1757.27.128.1 to 57.27.255.25457.27.255.25532,766
5757.28.0.0/1757.28.0.1 to 57.28.127.25457.28.127.25532,766
5857.28.128.0/1757.28.128.1 to 57.28.255.25457.28.255.25532,766
5957.29.0.0/1757.29.0.1 to 57.29.127.25457.29.127.25532,766
6057.29.128.0/1757.29.128.1 to 57.29.255.25457.29.255.25532,766
6157.30.0.0/1757.30.0.1 to 57.30.127.25457.30.127.25532,766
6257.30.128.0/1757.30.128.1 to 57.30.255.25457.30.255.25532,766
6357.31.0.0/1757.31.0.1 to 57.31.127.25457.31.127.25532,766
6457.31.128.0/1757.31.128.1 to 57.31.255.25457.31.255.25532,766
6557.32.0.0/1757.32.0.1 to 57.32.127.25457.32.127.25532,766
6657.32.128.0/1757.32.128.1 to 57.32.255.25457.32.255.25532,766
6757.33.0.0/1757.33.0.1 to 57.33.127.25457.33.127.25532,766
6857.33.128.0/1757.33.128.1 to 57.33.255.25457.33.255.25532,766
6957.34.0.0/1757.34.0.1 to 57.34.127.25457.34.127.25532,766
7057.34.128.0/1757.34.128.1 to 57.34.255.25457.34.255.25532,766
7157.35.0.0/1757.35.0.1 to 57.35.127.25457.35.127.25532,766
7257.35.128.0/1757.35.128.1 to 57.35.255.25457.35.255.25532,766
7357.36.0.0/1757.36.0.1 to 57.36.127.25457.36.127.25532,766
7457.36.128.0/1757.36.128.1 to 57.36.255.25457.36.255.25532,766
7557.37.0.0/1757.37.0.1 to 57.37.127.25457.37.127.25532,766
7657.37.128.0/1757.37.128.1 to 57.37.255.25457.37.255.25532,766
7757.38.0.0/1757.38.0.1 to 57.38.127.25457.38.127.25532,766
7857.38.128.0/1757.38.128.1 to 57.38.255.25457.38.255.25532,766
7957.39.0.0/1757.39.0.1 to 57.39.127.25457.39.127.25532,766
8057.39.128.0/1757.39.128.1 to 57.39.255.25457.39.255.25532,766
8157.40.0.0/1757.40.0.1 to 57.40.127.25457.40.127.25532,766
8257.40.128.0/1757.40.128.1 to 57.40.255.25457.40.255.25532,766
8357.41.0.0/1757.41.0.1 to 57.41.127.25457.41.127.25532,766
8457.41.128.0/1757.41.128.1 to 57.41.255.25457.41.255.25532,766
8557.42.0.0/1757.42.0.1 to 57.42.127.25457.42.127.25532,766
8657.42.128.0/1757.42.128.1 to 57.42.255.25457.42.255.25532,766
8757.43.0.0/1757.43.0.1 to 57.43.127.25457.43.127.25532,766
8857.43.128.0/1757.43.128.1 to 57.43.255.25457.43.255.25532,766
8957.44.0.0/1757.44.0.1 to 57.44.127.25457.44.127.25532,766
9057.44.128.0/1757.44.128.1 to 57.44.255.25457.44.255.25532,766
9157.45.0.0/1757.45.0.1 to 57.45.127.25457.45.127.25532,766
9257.45.128.0/1757.45.128.1 to 57.45.255.25457.45.255.25532,766
9357.46.0.0/1757.46.0.1 to 57.46.127.25457.46.127.25532,766
9457.46.128.0/1757.46.128.1 to 57.46.255.25457.46.255.25532,766
9557.47.0.0/1757.47.0.1 to 57.47.127.25457.47.127.25532,766
9657.47.128.0/1757.47.128.1 to 57.47.255.25457.47.255.25532,766
9757.48.0.0/1757.48.0.1 to 57.48.127.25457.48.127.25532,766
9857.48.128.0/1757.48.128.1 to 57.48.255.25457.48.255.25532,766
9957.49.0.0/1757.49.0.1 to 57.49.127.25457.49.127.25532,766
10057.49.128.0/1757.49.128.1 to 57.49.255.25457.49.255.25532,766
10157.50.0.0/1757.50.0.1 to 57.50.127.25457.50.127.25532,766
10257.50.128.0/1757.50.128.1 to 57.50.255.25457.50.255.25532,766
10357.51.0.0/1757.51.0.1 to 57.51.127.25457.51.127.25532,766
10457.51.128.0/1757.51.128.1 to 57.51.255.25457.51.255.25532,766
10557.52.0.0/1757.52.0.1 to 57.52.127.25457.52.127.25532,766
10657.52.128.0/1757.52.128.1 to 57.52.255.25457.52.255.25532,766
10757.53.0.0/1757.53.0.1 to 57.53.127.25457.53.127.25532,766
10857.53.128.0/1757.53.128.1 to 57.53.255.25457.53.255.25532,766
10957.54.0.0/1757.54.0.1 to 57.54.127.25457.54.127.25532,766
11057.54.128.0/1757.54.128.1 to 57.54.255.25457.54.255.25532,766
11157.55.0.0/1757.55.0.1 to 57.55.127.25457.55.127.25532,766
11257.55.128.0/1757.55.128.1 to 57.55.255.25457.55.255.25532,766
11357.56.0.0/1757.56.0.1 to 57.56.127.25457.56.127.25532,766
11457.56.128.0/1757.56.128.1 to 57.56.255.25457.56.255.25532,766
11557.57.0.0/1757.57.0.1 to 57.57.127.25457.57.127.25532,766
11657.57.128.0/1757.57.128.1 to 57.57.255.25457.57.255.25532,766
11757.58.0.0/1757.58.0.1 to 57.58.127.25457.58.127.25532,766
11857.58.128.0/1757.58.128.1 to 57.58.255.25457.58.255.25532,766
11957.59.0.0/1757.59.0.1 to 57.59.127.25457.59.127.25532,766
12057.59.128.0/1757.59.128.1 to 57.59.255.25457.59.255.25532,766
12157.60.0.0/1757.60.0.1 to 57.60.127.25457.60.127.25532,766
12257.60.128.0/1757.60.128.1 to 57.60.255.25457.60.255.25532,766
12357.61.0.0/1757.61.0.1 to 57.61.127.25457.61.127.25532,766
12457.61.128.0/1757.61.128.1 to 57.61.255.25457.61.255.25532,766
12557.62.0.0/1757.62.0.1 to 57.62.127.25457.62.127.25532,766
12657.62.128.0/1757.62.128.1 to 57.62.255.25457.62.255.25532,766
12757.63.0.0/1757.63.0.1 to 57.63.127.25457.63.127.25532,766
12857.63.128.0/1757.63.128.1 to 57.63.255.25457.63.255.25532,766
12957.64.0.0/1757.64.0.1 to 57.64.127.25457.64.127.25532,766
13057.64.128.0/1757.64.128.1 to 57.64.255.25457.64.255.25532,766
13157.65.0.0/1757.65.0.1 to 57.65.127.25457.65.127.25532,766
13257.65.128.0/1757.65.128.1 to 57.65.255.25457.65.255.25532,766
13357.66.0.0/1757.66.0.1 to 57.66.127.25457.66.127.25532,766
13457.66.128.0/1757.66.128.1 to 57.66.255.25457.66.255.25532,766
13557.67.0.0/1757.67.0.1 to 57.67.127.25457.67.127.25532,766
13657.67.128.0/1757.67.128.1 to 57.67.255.25457.67.255.25532,766
13757.68.0.0/1757.68.0.1 to 57.68.127.25457.68.127.25532,766
13857.68.128.0/1757.68.128.1 to 57.68.255.25457.68.255.25532,766
13957.69.0.0/1757.69.0.1 to 57.69.127.25457.69.127.25532,766
14057.69.128.0/1757.69.128.1 to 57.69.255.25457.69.255.25532,766
14157.70.0.0/1757.70.0.1 to 57.70.127.25457.70.127.25532,766
14257.70.128.0/1757.70.128.1 to 57.70.255.25457.70.255.25532,766
14357.71.0.0/1757.71.0.1 to 57.71.127.25457.71.127.25532,766
14457.71.128.0/1757.71.128.1 to 57.71.255.25457.71.255.25532,766
14557.72.0.0/1757.72.0.1 to 57.72.127.25457.72.127.25532,766
14657.72.128.0/1757.72.128.1 to 57.72.255.25457.72.255.25532,766
14757.73.0.0/1757.73.0.1 to 57.73.127.25457.73.127.25532,766
14857.73.128.0/1757.73.128.1 to 57.73.255.25457.73.255.25532,766
14957.74.0.0/1757.74.0.1 to 57.74.127.25457.74.127.25532,766
15057.74.128.0/1757.74.128.1 to 57.74.255.25457.74.255.25532,766
15157.75.0.0/1757.75.0.1 to 57.75.127.25457.75.127.25532,766
15257.75.128.0/1757.75.128.1 to 57.75.255.25457.75.255.25532,766
15357.76.0.0/1757.76.0.1 to 57.76.127.25457.76.127.25532,766
15457.76.128.0/1757.76.128.1 to 57.76.255.25457.76.255.25532,766
15557.77.0.0/1757.77.0.1 to 57.77.127.25457.77.127.25532,766
15657.77.128.0/1757.77.128.1 to 57.77.255.25457.77.255.25532,766
15757.78.0.0/1757.78.0.1 to 57.78.127.25457.78.127.25532,766
15857.78.128.0/1757.78.128.1 to 57.78.255.25457.78.255.25532,766
15957.79.0.0/1757.79.0.1 to 57.79.127.25457.79.127.25532,766
16057.79.128.0/1757.79.128.1 to 57.79.255.25457.79.255.25532,766
16157.80.0.0/1757.80.0.1 to 57.80.127.25457.80.127.25532,766
16257.80.128.0/1757.80.128.1 to 57.80.255.25457.80.255.25532,766
16357.81.0.0/1757.81.0.1 to 57.81.127.25457.81.127.25532,766
16457.81.128.0/1757.81.128.1 to 57.81.255.25457.81.255.25532,766
16557.82.0.0/1757.82.0.1 to 57.82.127.25457.82.127.25532,766
16657.82.128.0/1757.82.128.1 to 57.82.255.25457.82.255.25532,766
16757.83.0.0/1757.83.0.1 to 57.83.127.25457.83.127.25532,766
16857.83.128.0/1757.83.128.1 to 57.83.255.25457.83.255.25532,766
16957.84.0.0/1757.84.0.1 to 57.84.127.25457.84.127.25532,766
17057.84.128.0/1757.84.128.1 to 57.84.255.25457.84.255.25532,766
17157.85.0.0/1757.85.0.1 to 57.85.127.25457.85.127.25532,766
17257.85.128.0/1757.85.128.1 to 57.85.255.25457.85.255.25532,766
17357.86.0.0/1757.86.0.1 to 57.86.127.25457.86.127.25532,766
17457.86.128.0/1757.86.128.1 to 57.86.255.25457.86.255.25532,766
17557.87.0.0/1757.87.0.1 to 57.87.127.25457.87.127.25532,766
17657.87.128.0/1757.87.128.1 to 57.87.255.25457.87.255.25532,766
17757.88.0.0/1757.88.0.1 to 57.88.127.25457.88.127.25532,766
17857.88.128.0/1757.88.128.1 to 57.88.255.25457.88.255.25532,766
17957.89.0.0/1757.89.0.1 to 57.89.127.25457.89.127.25532,766
18057.89.128.0/1757.89.128.1 to 57.89.255.25457.89.255.25532,766
18157.90.0.0/1757.90.0.1 to 57.90.127.25457.90.127.25532,766
18257.90.128.0/1757.90.128.1 to 57.90.255.25457.90.255.25532,766
18357.91.0.0/1757.91.0.1 to 57.91.127.25457.91.127.25532,766
18457.91.128.0/1757.91.128.1 to 57.91.255.25457.91.255.25532,766
18557.92.0.0/1757.92.0.1 to 57.92.127.25457.92.127.25532,766
18657.92.128.0/1757.92.128.1 to 57.92.255.25457.92.255.25532,766
18757.93.0.0/1757.93.0.1 to 57.93.127.25457.93.127.25532,766
18857.93.128.0/1757.93.128.1 to 57.93.255.25457.93.255.25532,766
18957.94.0.0/1757.94.0.1 to 57.94.127.25457.94.127.25532,766
19057.94.128.0/1757.94.128.1 to 57.94.255.25457.94.255.25532,766
19157.95.0.0/1757.95.0.1 to 57.95.127.25457.95.127.25532,766
19257.95.128.0/1757.95.128.1 to 57.95.255.25457.95.255.25532,766
19357.96.0.0/1757.96.0.1 to 57.96.127.25457.96.127.25532,766
19457.96.128.0/1757.96.128.1 to 57.96.255.25457.96.255.25532,766
19557.97.0.0/1757.97.0.1 to 57.97.127.25457.97.127.25532,766
19657.97.128.0/1757.97.128.1 to 57.97.255.25457.97.255.25532,766
19757.98.0.0/1757.98.0.1 to 57.98.127.25457.98.127.25532,766
19857.98.128.0/1757.98.128.1 to 57.98.255.25457.98.255.25532,766
19957.99.0.0/1757.99.0.1 to 57.99.127.25457.99.127.25532,766
20057.99.128.0/1757.99.128.1 to 57.99.255.25457.99.255.25532,766
20157.100.0.0/1757.100.0.1 to 57.100.127.25457.100.127.25532,766
20257.100.128.0/1757.100.128.1 to 57.100.255.25457.100.255.25532,766
20357.101.0.0/1757.101.0.1 to 57.101.127.25457.101.127.25532,766
20457.101.128.0/1757.101.128.1 to 57.101.255.25457.101.255.25532,766
20557.102.0.0/1757.102.0.1 to 57.102.127.25457.102.127.25532,766
20657.102.128.0/1757.102.128.1 to 57.102.255.25457.102.255.25532,766
20757.103.0.0/1757.103.0.1 to 57.103.127.25457.103.127.25532,766
20857.103.128.0/1757.103.128.1 to 57.103.255.25457.103.255.25532,766
20957.104.0.0/1757.104.0.1 to 57.104.127.25457.104.127.25532,766
21057.104.128.0/1757.104.128.1 to 57.104.255.25457.104.255.25532,766
21157.105.0.0/1757.105.0.1 to 57.105.127.25457.105.127.25532,766
21257.105.128.0/1757.105.128.1 to 57.105.255.25457.105.255.25532,766
21357.106.0.0/1757.106.0.1 to 57.106.127.25457.106.127.25532,766
21457.106.128.0/1757.106.128.1 to 57.106.255.25457.106.255.25532,766
21557.107.0.0/1757.107.0.1 to 57.107.127.25457.107.127.25532,766
21657.107.128.0/1757.107.128.1 to 57.107.255.25457.107.255.25532,766
21757.108.0.0/1757.108.0.1 to 57.108.127.25457.108.127.25532,766
21857.108.128.0/1757.108.128.1 to 57.108.255.25457.108.255.25532,766
21957.109.0.0/1757.109.0.1 to 57.109.127.25457.109.127.25532,766
22057.109.128.0/1757.109.128.1 to 57.109.255.25457.109.255.25532,766
22157.110.0.0/1757.110.0.1 to 57.110.127.25457.110.127.25532,766
22257.110.128.0/1757.110.128.1 to 57.110.255.25457.110.255.25532,766
22357.111.0.0/1757.111.0.1 to 57.111.127.25457.111.127.25532,766
22457.111.128.0/1757.111.128.1 to 57.111.255.25457.111.255.25532,766
22557.112.0.0/1757.112.0.1 to 57.112.127.25457.112.127.25532,766
22657.112.128.0/1757.112.128.1 to 57.112.255.25457.112.255.25532,766
22757.113.0.0/1757.113.0.1 to 57.113.127.25457.113.127.25532,766
22857.113.128.0/1757.113.128.1 to 57.113.255.25457.113.255.25532,766
22957.114.0.0/1757.114.0.1 to 57.114.127.25457.114.127.25532,766
23057.114.128.0/1757.114.128.1 to 57.114.255.25457.114.255.25532,766
23157.115.0.0/1757.115.0.1 to 57.115.127.25457.115.127.25532,766
23257.115.128.0/1757.115.128.1 to 57.115.255.25457.115.255.25532,766
23357.116.0.0/1757.116.0.1 to 57.116.127.25457.116.127.25532,766
23457.116.128.0/1757.116.128.1 to 57.116.255.25457.116.255.25532,766
23557.117.0.0/1757.117.0.1 to 57.117.127.25457.117.127.25532,766
23657.117.128.0/1757.117.128.1 to 57.117.255.25457.117.255.25532,766
23757.118.0.0/1757.118.0.1 to 57.118.127.25457.118.127.25532,766
23857.118.128.0/1757.118.128.1 to 57.118.255.25457.118.255.25532,766
23957.119.0.0/1757.119.0.1 to 57.119.127.25457.119.127.25532,766
24057.119.128.0/1757.119.128.1 to 57.119.255.25457.119.255.25532,766
24157.120.0.0/1757.120.0.1 to 57.120.127.25457.120.127.25532,766
24257.120.128.0/1757.120.128.1 to 57.120.255.25457.120.255.25532,766
24357.121.0.0/1757.121.0.1 to 57.121.127.25457.121.127.25532,766
24457.121.128.0/1757.121.128.1 to 57.121.255.25457.121.255.25532,766
24557.122.0.0/1757.122.0.1 to 57.122.127.25457.122.127.25532,766
24657.122.128.0/1757.122.128.1 to 57.122.255.25457.122.255.25532,766
24757.123.0.0/1757.123.0.1 to 57.123.127.25457.123.127.25532,766
24857.123.128.0/1757.123.128.1 to 57.123.255.25457.123.255.25532,766
24957.124.0.0/1757.124.0.1 to 57.124.127.25457.124.127.25532,766
25057.124.128.0/1757.124.128.1 to 57.124.255.25457.124.255.25532,766
25157.125.0.0/1757.125.0.1 to 57.125.127.25457.125.127.25532,766
25257.125.128.0/1757.125.128.1 to 57.125.255.25457.125.255.25532,766
25357.126.0.0/1757.126.0.1 to 57.126.127.25457.126.127.25532,766
25457.126.128.0/1757.126.128.1 to 57.126.255.25457.126.255.25532,766
25557.127.0.0/1757.127.0.1 to 57.127.127.25457.127.127.25532,766
25657.127.128.0/1757.127.128.1 to 57.127.255.25457.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses